ClarisWksTextInternal Namespace Reference

Internal: the structures of a ClarisWksText. More...

## Classes
struct | PLC
| Internal : the different plc types: mainly for debugging. More...
struct | Paragraph
| Internal: class to store the paragraph properties. More...
struct | ParagraphPLC
struct | Section
| internal class used to store a section More...
struct | TextZoneInfo
| internal class used to store a text zone More...
struct | Token
| Internal: class to store field definition: TOKN entry. More...
struct | Zone
struct | State
| Internal: the state of a ClarisWksText. More...
class | SubDocument
| Internal: the subdocument of a ClarisWksDocument. More...

## Enumerations
enum | PLCType { P_Font , P_Ruler , P_Child , P_Section , P_TextZone , P_Token , P_Unknown }
| the different plc type More...
enum | TokenType { TKN_UNKNOWN , TKN_FOOTNOTE , TKN_PAGENUMBER , TKN_GRAPHIC , TKN_FIELD }

## Functions
std::ostream & | operator<< (std::ostream &o, PLC const &plc)
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator<< for Token

## Detailed Description

Internal: the structures of a ClarisWksText.

## Enumeration Type Documentation

## ◆ PLCType

enum ClarisWksTextInternal::PLCType

the different plc type

Enumerator
P_Font |
P_Ruler |
P_Child |
P_Section |
P_TextZone |
P_Token |
P_Unknown |

## ◆ TokenType

enum ClarisWksTextInternal::TokenType

Enumerator
TKN_UNKNOWN |
TKN_FOOTNOTE |
TKN_PAGENUMBER |
TKN_GRAPHIC |
TKN_FIELD |

## Function Documentation

## ◆ operator<<() [1/2]

std::ostream & ClarisWksTextInternal::operator<< | ( | std::ostream & | o,
|  | PLC const & | plc )

## ◆ operator<<() [2/2]

std::ostream & ClarisWksTextInternal::operator<< | ( | std::ostream & | o,
|  | Token const & | tok )

operator<< for Token

operator <<